Google Sheets와 상호작용하는 도구를 제공하는 MCP 서버입니다.
모델 컨텍스트 프로토콜 (MCP) 서버는 대규모 언어 모델 (LLM) 또는 AI 애플리케이션에 컨텍스트, 데이터 또는 기능을 제공하는 외부 서비스 간의 프록시 역할을 합니다. MCP 서버는 AI 애플리케이션을 데이터베이스 및 웹 서비스와 같은 외부 시스템에 연결하여 AI 애플리케이션이 이해할 수 있는 형식으로 응답을 변환합니다.
MCP 도구
MCP 도구는 MCP 서버가 LLM 또는 AI 애플리케이션에 노출하여 현실 세계에서 작업을 실행하는 함수 또는 실행 가능한 기능입니다.
도구
sheetsmcp.googleapis.com MCP 서버에는 다음 도구가 있습니다.
| MCP 도구 | |
|---|---|
get_values |
스프레드시트에서 값의 범위를 반환합니다. REST API의 spreadsheets.values.get에 해당합니다(https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.values/get). |
get_spreadsheet |
지정된 스프레드시트의 스프레드시트 콘텐츠를 반환합니다. 지정된 스프레드시트 ID의 제목, 시트 이름, 그리드 속성, 기타 메타데이터를 반환합니다. 요청된 경우 전체 그리드 데이터도 반환합니다. REST API의 spreadsheets.get에 해당합니다(https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets/get). |
update_spreadsheet |
스프레드시트에 하나 이상의 업데이트를 적용합니다. REST API의 spreadsheets.batchUpdate에 해당합니다(https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets/batchUpdate). 가능한 업데이트 목록은 다음과 같습니다.
|
update_values |
스프레드시트의 범위에 값을 설정합니다. REST API의 spreadsheets.values.update에 해당합니다. https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.values/update |
update_formulas |
스프레드시트의 범위에 공식을 설정합니다. REST API의 spreadsheets.values.update에 해당합니다. https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.values/update |
insert_dimension |
시트의 특정 색인에 행 또는 열을 삽입합니다. 스프레드시트의 InsertDimensionRequest에 해당합니다(스프레드시트.batchUpdate REST API: https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets/request). |
MCP 도구 사양 가져오기
MCP 서버의 모든 도구에 대한 MCP 도구 사양을 가져오려면 tools/list 메서드를 사용하세요. 다음 예시에서는 curl을 사용하여 MCP 서버 내에서 현재 사용할 수 있는 모든 도구와 사양을 나열하는 방법을 보여줍니다.
| curl 요청 |
|---|
curl --location 'https://sheetsmcp.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' |